# Publish all joint states -----------------------------------
joint_state_controller:
  type: joint_state_controller/JointStateController
  publish_rate: 1000

# Position Controllers ---------------------------------------
joint1_position:
  type: effort_controllers/JointPositionController
  joint: joint1
  pid: {p: 1000.0, i: 1.0, d: 10.0}

joint2_position:
  type: effort_controllers/JointPositionController
  joint: joint2
  pid: {p: 1000.0, i: 1.0, d: 10.0}

joint3_position:
  type: effort_controllers/JointPositionController
  joint: joint3
  pid: {p: 1000.0, i: 1.0, d: 10.0}

joint4_position:
  type: effort_controllers/JointPositionController
  joint: joint4
  pid: {p: 1000.0, i: 1.0, d: 10.0}

joint5_position:
  type: effort_controllers/JointPositionController
  joint: joint5
  pid: {p: 1000.0, i: 1.0, d: 10.0}

finger_l_joint_position:
  type: effort_controllers/JointPositionController
  joint: finger_l_joint
  pid: {p: 1000.0, i: 1.0, d: 10.0}

finger_r_joint_position:
  type: effort_controllers/JointPositionController
  joint: finger_r_joint
  pid: {p: 1000.0, i: 1.0, d: 10.0}
